package com.four.system.domain;


import org.apache.poi.hpsf.Decimal;

import java.math.BigDecimal;

/**
 * 查询价格倒序的医生信息
 */
public class SysDoctor {

    /***
     * 医生注册信息id
     */
    private Long registrationInformationId;
    /***
     * 所属医院
     */
    private String affiliatedHospital;
    /***
     * 医生科室id
     */
    private Long medicalDepartmentId;
    /***
     * 医生职称id
     */
    private Long professionalTitleDoctorId;
    /***
     * 个人简历
     */
    private String personalResume;
    /***
     * 擅长领域
     */
    private String areaExpertise;
    /***
     * 服务患者次数
     */
    private Integer numberPatientsServed;
    /***
     * 咨询价格
     */
    private BigDecimal consultingPrice;
    /***
     * 好评人数
     */
    private Integer praise;
    /***
     * 审核状态：1：待审核2：审核通过3：已驳回
     */
    private Integer registrationInformationExamineStatus;
    /***
     * 医生的状态：1：在线2：离线
     */
    private Integer registrationInformationMedicStatus;


    public SysDoctor(Long registrationInformationId, String affiliatedHospital, Long medicalDepartmentId, Long professionalTitleDoctorId, String personalResume, String areaExpertise, Integer numberPatientsServed, BigDecimal consultingPrice, Integer praise, Integer registrationInformationExamineStatus, Integer registrationInformationMedicStatus) {
        this.registrationInformationId = registrationInformationId;
        this.affiliatedHospital = affiliatedHospital;
        this.medicalDepartmentId = medicalDepartmentId;
        this.professionalTitleDoctorId = professionalTitleDoctorId;
        this.personalResume = personalResume;
        this.areaExpertise = areaExpertise;
        this.numberPatientsServed = numberPatientsServed;
        this.consultingPrice = consultingPrice;
        this.praise = praise;
        this.registrationInformationExamineStatus = registrationInformationExamineStatus;
        this.registrationInformationMedicStatus = registrationInformationMedicStatus;
    }

    public SysDoctor() {
    }


    @Override
    public String toString() {
        return "SysDoctor{" +
                "registrationInformationId=" + registrationInformationId +
                ", affiliatedHospital='" + affiliatedHospital + '\'' +
                ", medicalDepartmentId=" + medicalDepartmentId +
                ", professionalTitleDoctorId=" + professionalTitleDoctorId +
                ", personalResume='" + personalResume + '\'' +
                ", areaExpertise='" + areaExpertise + '\'' +
                ", numberPatientsServed=" + numberPatientsServed +
                ", consultingPrice=" + consultingPrice +
                ", praise=" + praise +
                ", registrationInformationExamineStatus=" + registrationInformationExamineStatus +
                ", registrationInformationMedicStatus=" + registrationInformationMedicStatus +
                '}';
    }

    public Long getRegistrationInformationId() {
        return registrationInformationId;
    }

    public void setRegistrationInformationId(Long registrationInformationId) {
        this.registrationInformationId = registrationInformationId;
    }

    public String getAffiliatedHospital() {
        return affiliatedHospital;
    }

    public void setAffiliatedHospital(String affiliatedHospital) {
        this.affiliatedHospital = affiliatedHospital;
    }

    public Long getMedicalDepartmentId() {
        return medicalDepartmentId;
    }

    public void setMedicalDepartmentId(Long medicalDepartmentId) {
        this.medicalDepartmentId = medicalDepartmentId;
    }

    public Long getProfessionalTitleDoctorId() {
        return professionalTitleDoctorId;
    }

    public void setProfessionalTitleDoctorId(Long professionalTitleDoctorId) {
        this.professionalTitleDoctorId = professionalTitleDoctorId;
    }

    public String getPersonalResume() {
        return personalResume;
    }

    public void setPersonalResume(String personalResume) {
        this.personalResume = personalResume;
    }

    public String getAreaExpertise() {
        return areaExpertise;
    }

    public void setAreaExpertise(String areaExpertise) {
        this.areaExpertise = areaExpertise;
    }

    public Integer getNumberPatientsServed() {
        return numberPatientsServed;
    }

    public void setNumberPatientsServed(Integer numberPatientsServed) {
        this.numberPatientsServed = numberPatientsServed;
    }

    public BigDecimal getConsultingPrice() {
        return consultingPrice;
    }

    public void setConsultingPrice(BigDecimal consultingPrice) {
        this.consultingPrice = consultingPrice;
    }

    public Integer getPraise() {
        return praise;
    }

    public void setPraise(Integer praise) {
        this.praise = praise;
    }

    public Integer getRegistrationInformationExamineStatus() {
        return registrationInformationExamineStatus;
    }

    public void setRegistrationInformationExamineStatus(Integer registrationInformationExamineStatus) {
        this.registrationInformationExamineStatus = registrationInformationExamineStatus;
    }

    public Integer getRegistrationInformationMedicStatus() {
        return registrationInformationMedicStatus;
    }

    public void setRegistrationInformationMedicStatus(Integer registrationInformationMedicStatus) {
        this.registrationInformationMedicStatus = registrationInformationMedicStatus;
    }
}
